diff --git a/changelog b/changelog
index b44d9d4..98e26e4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080325 tpd src/algebra/axserver.spad set up handling of operations pages
 20080325 tpd src/interp/interp-proclaims.lisp case-change display
 20080325 tpd src/interp/i-syscmd.boot treeshake display to bookvol5
 20080325 tpd src/interp/bookvol5 document display function
diff --git a/src/algebra/axserver.spad.pamphlet b/src/algebra/axserver.spad.pamphlet
index 6862900..84f72f8 100644
--- a/src/algebra/axserver.spad.pamphlet
+++ b/src/algebra/axserver.spad.pamphlet
@@ -195,16 +195,17 @@ and do a lookup for the source file.
 \subsection{makeDBPage}
 <<package AXSERV AxiomServer>>=
    makeDBPage(pathvar:String):String ==
-     params:=split(pathvar,char "?")
-     args:=split(params.2, char "&")
-     dom:=args.1
-     domi:=INTERN(dom)$Lisp
-     -- category, domain, or package?
-     constructorkind:=getDatabase(dom,"CONSTRUCTORKIND")
-     abbreviation:=getDatabase(dom, "ABBREVIATION")
-     sourcefile:=getDatabase(dom, "SOURCEFILE")
-     constructorkind.1:=upperCase constructorkind.1
-     description:=getDescription(dom)
+     params:List(String):=split(pathvar,char "?")
+     for i in 1..#params repeat WriteLine$Lisp concat ["params: ",params.i]
+     pathparts:List(String):=split(params.1,char "/")
+     for i in 1..#pathparts repeat 
+       WriteLine$Lisp concat ["pathparts: ",pathparts.i]
+     pagename:=last pathparts
+     WriteLine$Lisp concat ["pagename: ",pagename]
+     cmd:=first split(pagename,char ".")
+     WriteLine$Lisp concat ["cmd: ",cmd]
+     args:List(String):=split(params.2, char "&")
+     for i in 1..#args repeat WriteLine$Lisp concat ["args: ",args.i]
      page:String:="<!DOCTYPE html PUBLIC "
      page:=page "_"-//W3C//DTD XHTML 1.0 Strict//EN_" "
      page:=page "_"http://www.w3.org/TR/xthml1/DTD/xhtml1-strict.dtd_">"
@@ -212,56 +213,119 @@ and do a lookup for the source file.
      page:=page "<head>"
      page:=page "<meta http-equiv=_"Content-Type_" content=_"text/html_"" 
      page:=page " charset=_"us-ascii_"/>"
-     page:=page "<title>" constructorkind " " dom "</title></head>"
+     page:=page "<title>" cmd " " args.1 "</title></head>"
      page:=page "<style> html { background-color: #FFFF66; } </style>"
      page:=page "<body>"
-     page:=page "<div align=_"center_">"
-     page:=page "<img align=_"middle_" src=_"doctitle.png_"/></div><hr/>"
-     page:=page "<div align=_"center_">" constructorkind " " dom "</div><hr/>"
-     page:=page "<table>"
-     page:=page "<tr><td valign=_"top_">Description:  </td>"
-     page:=page "<td>" description  "</td></tr>"
-     page:=page "<tr><td>Abbreviation: </td><td>" abbreviation "</td></tr>"
-     page:=page "<tr><td>Source File:  </td><td>" sourcefile   "</td></tr>"
-     page:=page "</table><hr/>"
-     page:=page "<table>"
-     page:=page "<tr>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Ancestors_">Ancestors</a>"
-     page:=page "</td>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Dependents_">Dependents</a>"
-     page:=page "</td>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Exports_">Exports</a>"
-     page:=page "</td>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Parents_">Parents</a>"
-     page:=page "</td>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Users_">Users</a>"
-     page:=page "</td>"
-     page:=page "</tr>"
-     page:=page "<tr>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Attributes_">Attributes</a>"
-     page:=page "</td>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Examples_">Examples</a>"
-     page:=page "</td>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Operations_">Operations</a>"
-     page:=page "</td>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=SearchPath_">Search Path</a>"
-     page:=page "</td>"
-     page:=page "<td>"
-     page:=page "<a href=_"?" dom "&lookup=Uses_">Uses</a>"
-     page:=page "</td>"
-     page:=page "</tr>"
-     page:=page "</table>"
-     page:=page "</body></html>"
+     cmd = "db" =>
+      dom:=args.1
+      domi:=INTERN(dom)$Lisp
+      -- category, domain, or package?
+      constructorkind:=getDatabase(dom,"CONSTRUCTORKIND")
+      abbreviation:=getDatabase(dom, "ABBREVIATION")
+      sourcefile:=getDatabase(dom, "SOURCEFILE")
+      constructorkind.1:=upperCase constructorkind.1
+      description:=getDescription(dom)
+      page:=page "<div align=_"center_">"
+      page:=page "<img align=_"middle_" src=_"doctitle.png_"/></div><hr/>"
+      page:=page "<div align=_"center_">" constructorkind " " dom "</div><hr/>"
+      page:=page "<table>"
+      page:=page "<tr><td valign=_"top_">Description:  </td>"
+      page:=page "<td>" description  "</td></tr>"
+      page:=page "<tr><td>Abbreviation: </td><td>" abbreviation "</td></tr>"
+      page:=page "<tr><td>Source File:  </td><td>" sourcefile   "</td></tr>"
+      page:=page "</table><hr/>"
+      page:=page "<table>"
+      page:=page "<tr>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Ancestors_">Ancestors</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Dependents_">Dependents</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Exports_">Exports</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Parents_">Parents</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Users_">Users</a>"
+      page:=page "</td>"
+      page:=page "</tr>"
+      page:=page "<tr>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Attributes_">Attributes</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Examples_">Examples</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Operations_">Operations</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=SearchPath_">Search Path</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Uses_">Uses</a>"
+      page:=page "</td>"
+      page:=page "</tr>"
+      page:=page "</table>"
+     cmd = "op" =>
+      dom:=args.1
+      domi:=INTERN(dom)$Lisp
+      -- category, domain, or package?
+      constructorkind:=getDatabase(dom,"CONSTRUCTORKIND")
+      abbreviation:=getDatabase(dom, "ABBREVIATION")
+      sourcefile:=getDatabase(dom, "SOURCEFILE")
+      constructorkind.1:=upperCase constructorkind.1
+      description:=getDescription(dom)
+      page:=page "<div align=_"center_">"
+      page:=page "<img align=_"middle_" src=_"doctitle.png_"/></div><hr/>"
+      page:=page "<div align=_"center_">" constructorkind " " dom "</div><hr/>"
+      page:=page "<table>"
+      page:=page "<tr><td valign=_"top_">Description:  </td>"
+      page:=page "<td>" description  "</td></tr>"
+      page:=page "<tr><td>Abbreviation: </td><td>" abbreviation "</td></tr>"
+      page:=page "<tr><td>Source File:  </td><td>" sourcefile   "</td></tr>"
+      page:=page "</table><hr/>"
+      page:=page "<table>"
+      page:=page "<tr>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Ancestors_">Ancestors</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Dependents_">Dependents</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Exports_">Exports</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Parents_">Parents</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Users_">Users</a>"
+      page:=page "</td>"
+      page:=page "</tr>"
+      page:=page "<tr>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Attributes_">Attributes</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Examples_">Examples</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Operations_">Operations</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=SearchPath_">Search Path</a>"
+      page:=page "</td>"
+      page:=page "<td>"
+      page:=page "<a href=_"?" dom "&lookup=Uses_">Uses</a>"
+      page:=page "</td>"
+      page:=page "</tr>"
+      page:=page "</table>"
 --     WriteLine(page)$Lisp
+     page:=page "</body></html>"
      page
 @
 \subsection{readTheFile}
